%define upstream_name    SVN-Notify
%define upstream_version 2.86

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Subversion activity notification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Address) >= 1.897.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(Module::Build) >= 0.270.100
BuildRequires: perl(Test::More) >= 0.170.0
BuildRequires: sendmail-command
BuildArch:  noarch

%description
This class may be used for sending email messages for Subversion repository
activity. There are a number of different modes supported, and SVN::Notify is
fully subclassable, to easily add new functionality. By default, A list of all
the files affected by the commit will be assembled and listed in a single
message.

This package also provides a svnnotify command-line tool that can be directly
used in subversion post-commit scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/SVN
%{_mandir}/*/*
%{_bindir}/svnnotify

%changelog
* Thu Jul 13 2017 bb2 <bb2> - 2.860.0-3pclos2017
- rebuild against updates

